
QGIS Application - Bug report #12534

Basic Statistics shows 'No features selected' when too many features are selected.

2015-04-09 05:13 AM - Samuel Ingarfield

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 20677

Description

Using the Basic Statistics tool (Vector->Analysis Tools->Basic statistics), if I select too many features (say 13000), then the tool returns

with a message saying that no features are selected. If I lower the number of features selected (say 6400) then it works. A less confusing

error message or removal of the limit would be preferable.

History

#1 - 2015-04-09 05:28 AM - Giovanni Manghi

- OS version deleted (7 x86_64)

- Category set to 44

- Operating System deleted (Win)

confirmed on Linux too (qgis master).

#2 - 2016-01-18 05:01 AM - Alexander Bruy

- Status changed from Open to Feedback

Works fine for me, tested on layer with 18469 features. No errors, statistics calculated and reported.

#3 - 2016-01-18 09:50 AM - Nyall Dawson

I think a fix I made in 2.12 probably also fixed this - was this bug encountered when using a PostGIS table?

#4 - 2016-05-09 05:29 PM - Nyall Dawson

- Status changed from Feedback to Closed

- Resolution set to not reproducable

Closed due to lack of feedback

#5 - 2017-05-01 01:21 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
